Bug 121590 - Rhythmbox segfaults when selecting random or repeat play order
Summary: Rhythmbox segfaults when selecting random or repeat play order
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-23 16:07 UTC by Trond Danielsen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-27 21:43:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Trond Danielsen 2004-04-23 16:07:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
Rhythmbox exited when selecting random or repeat as playmode, returing
error message "segmentation fault".

When running rhythmbox from a terminal, this printed out:

(rhythmbox:3601): Rhythmbox-CRITICAL **:
/apps/rhythmbox/state/play_order gconf key not found!
 
(rhythmbox:3601): Rhythmbox-WARNING **: Unknown value "" in GConf key
"/apps/rhythmbox/state/play_order". Using linear play order.

Adding this key solves the problem.

Version-Release number of selected component (if applicable):
rhythmbox-0.8.1-1
gstreamer-0.8.1-1rhythmbox-0.8.1-1
rhythmbox-0.8.1-1 and gstreamer-0.8.1-1

How reproducible:
Always

Steps to Reproduce:
1. Start rhythmbox without the line that I added to gconf-db.
2. Select random or repeat as playmode
3.
    

Additional info:

I'm running selinux in enforcing mode, but I'm not getting any reports
that something is denied when running rhythmbox.

Comment 1 Colin Walters 2004-04-23 16:18:37 UTC
How did you install these?  Just from the rawhide RPMS?


Comment 2 Trond Danielsen 2004-04-23 16:36:07 UTC
Everything is updated from the developement three.

Comment 3 Colin Walters 2004-04-23 16:41:44 UTC
Do you mean you installed from rawhide RPMS, or you installed from source?

Comment 4 Trond Danielsen 2004-04-23 16:56:57 UTC
Sorry about my "quick and dirty"-reply :-)

I installed the binary rpms from 
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/

Comment 5 Colin Walters 2004-05-19 14:30:58 UTC
Can you still reproduce this problem?

What if you create a new user?  

Have you tried upgrading to FC2 final?

Comment 6 Colin Walters 2004-09-27 21:43:17 UTC
No response from submitter, closing.


Note You need to log in before you can comment on or make changes to this bug.